Bug 736767 - [NV84] X Server crashes a lot [@ Dispatch]
Summary: [NV84] X Server crashes a lot [@ Dispatch]
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard: [cat:crash]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 16:08 UTC by Jayesh Badwaik
Modified: 2018-04-11 09:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 14:45:32 UTC


Attachments (Terms of Use)
.xsession-errors (2.24 MB, text/plain)
2011-09-08 16:08 UTC, Jayesh Badwaik
no flags Details
/var/log/Xorg.0.log.old (38.23 KB, text/plain)
2011-09-08 16:09 UTC, Jayesh Badwaik
no flags Details
/var/log/kdm.log (60.17 KB, text/plain)
2011-09-08 16:10 UTC, Jayesh Badwaik
no flags Details

Description Jayesh Badwaik 2011-09-08 16:08:56 UTC
Created attachment 522154 [details]
.xsession-errors

Description of problem:
X server is crashes a LOT of times...
typing certain phrases in the firefox search bar almost always ensures the crash
a phrase that has been working consistently for last 7 hours is "don mclean american pie 1954" and sometimes i can go long times without a crash and as soon as i type that phrase it crashes again.... !!

however i also have had spontaneous crashes... which i could not explain....

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg.x86_64          1.10.3-1.fc15                      @updates



How reproducible:
As I said.. almost everytime when the typing is done....
other times it is very rare... but firefox is on everytime during the crash

Steps to Reproduce:
1.Open Firefox
2. Install Add to Search Bar
3. Add https://encrypted.google.com as a search preference... 
4. type search terms in search bar (preferably 
5. press enter (till now all the post i have seen, this step was not required, in my case this is)

(Disabling/Enabling Plugins doesnt make a difference)
  

Actual results:
X server crashes and restarts


Expected results:
X server shouldn't crash


Additional info:
I have installed add to search bar and then added encrypted google search as a search option. the crash was taking place all normally after which i used normal google search (not encrypted) and the crash did not occur... at least for last three hours.... i'm now using normal google search and will confirm the results later.....

I have attached the .xsession-errors file (xsession-errors). The /var/log/kdm/log file (var-log-kdm.log) and /var/log/Xorg.0.log.old file (var-log-xorg.0.log)

I have seen some libc.so.6 errors in the file which correspond to the error that is generated when the x server crashes in the above condition
with the backtrace as below.....

0: /usr/bin/X (xorg_backtrace+0x2f) [0x45e7ff]
1: /usr/bin/X (0x400000+0x62e86) [0x462e86]
2: /lib64/libpthread.so.0 (0x3c71400000+0xeef0) [0x3c7140eef0]
3: /lib64/libc.so.6 (__select+0x13) [0x3c70cd91d3]
4: /usr/bin/X (WaitForSomething+0x186) [0x45c276]
5: /usr/bin/X (0x400000+0x2eb4a) [0x42eb4a]
6: /usr/bin/X (0x400000+0x22e1a) [0x422e1a]
7: /lib64/libc.so.6 (__libc_start_main+0xed) [0x3c70c2139d]
8: /usr/bin/X (0x400000+0x23101) [0x423101]


I am not sure exactly what is causing the bug, but looking to .xsession-error file i am finding a lot of errors related to akonadi as follows 

"/usr/bin/akonadi_nepomuk_contact_feeder(5683)" Soprano: "QLocalSocket::connectToServer: Connection refused"
"/usr/bin/akonadi_nepomuk_contact_feeder(5683)" Soprano: "org.freedesktop.DBus.Error.ServiceUnknown - The name org.kde.nepomuk.services.nepomukstorage was not provided by any .service files

Comment 1 Jayesh Badwaik 2011-09-08 16:09:34 UTC
Created attachment 522155 [details]
/var/log/Xorg.0.log.old

Comment 2 Jayesh Badwaik 2011-09-08 16:10:03 UTC
Created attachment 522156 [details]
/var/log/kdm.log

Comment 3 Jayesh Badwaik 2011-09-08 16:32:47 UTC
i have an nvidia graphics card running a nouveau driver....

Comment 4 Matěj Cepl 2011-09-08 17:29:55 UTC
[  1124.967] 0: /usr/bin/X (xorg_backtrace+0x2f) [0x45e7ff]
[  1124.967] 1: /usr/bin/X (0x400000+0x62e86) [0x462e86]
[  1124.967] 2: /lib64/libpthread.so.0 (0x3c71400000+0xeef0) [0x3c7140eef0]
[  1124.967] 3: /lib64/libc.so.6 (__select+0x13) [0x3c70cd91d3]
[  1124.967] 4: /usr/bin/X (WaitForSomething+0x186) [0x45c276]
[  1124.968] 5: /usr/bin/X (0x400000+0x2eb4a) [0x42eb4a]
[  1124.968] 6: /usr/bin/X (0x400000+0x22e1a) [0x422e1a]
[  1124.968] 7: /lib64/libc.so.6 (__libc_start_main+0xed) [0x3c70c2139d]
[  1124.968] 8: /usr/bin/X (0x400000+0x23101) [0x423101]
[  1124.968] 
Fatal server error:
[  1124.968] Caught signal 3 (Quit). Server aborting
[  1124.968] 

---------------------------------
In function WaitForSomething:
(from frame 4: /usr/bin/X (WaitForSomething+0x186) [0x45c276])
224: 	    i = -1;
225: 	else if (AnyClientsWriteBlocked)
226: 	{
227: 	    XFD_COPYSET(&ClientsWriteBlocked, &clientsWritable);
228: 	    i = Select (MaxClients, &LastSelectMask, &clientsWritable, NULL, wt);
229: 	}
230: 	else 
231: 	{
232: 	    i = Select (MaxClients, &LastSelectMask, NULL, NULL, wt);
233: 	}
234: >>>>>>> 	selecterr = GetErrno();
235: 	WakeupHandler(i, (pointer)&LastSelectMask);
236: 	if (i <= 0) /* An error or timeout occurred */
237: 	{
238: 	    if (dispatchException)
239: 		return 0;
240: 	    if (i < 0) 
241: 	    {
242: 		if (selecterr == EBADF)    /* Some client disconnected */
243: 		{
244: 		    CheckConnections ();


Frame 5: /usr/bin/X (0x400000+0x2eb4a) [0x42eb4a]
	/usr/src/debug/xorg-server-1.10.3/dix/dispatch.c:369
	Dispatch
Frame 6: /usr/bin/X (0x400000+0x22e1a) [0x422e1a]
	/usr/src/debug/xorg-server-1.10.3/dix/main.c:296
	main

Comment 5 Fedora End Of Life 2012-08-07 14:45:34 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.